<h3 mat-dialog-title>
    Detail Produk
    </h3>
    <div mat-dialog-content>
        <mat-form-field appearance="outline" style="width: 100%;">
            <mat-label>Judul</mat-label>
            <input matInput [(ngModel)]="data.title">
        </mat-form-field>
        <mat-form-field appearance="outline" style="width: 100%;">
            <mat-label>Penulis</mat-label>
            <input matInput [(ngModel)]="data.author" >
        </mat-form-field>
        <mat-form-field appearance="outline" style="width: 100%;">
            <mat-label>Penerbit</mat-label>
            <input matInput [(ngModel)]="data.publisher" >
        </mat-form-field>
        <mat-form-field appearance="outline" style="width: 100%;">
            <mat-label>Tahun</mat-label>
            <input matInput [(ngModel)]="data.year" >
        </mat-form-field>
        <mat-form-field appearance="outline" style="width: 100%;">
            <mat-label>ISBN</mat-label>
            <input matInput [(ngModel)]="data.isbn" >
        </mat-form-field>
        <mat-form-field appearance="outline" style="width: 100%;">
            <mat-label>Harga</mat-label>
            <input matInput type="number" [(ngModel)]="data.price" >
        </mat-form-field>
    </div>
    <div mat-dialog-actions align="end">
    <button mat-button mat-dialog-close>Batal</button>
    <button mat-flat-button (click)="saveData()"[disabled]="loading">{{loading ? 'Menyimpan..':'Simpan'}}</button>
    </div>
    